İçeriğe geç

Async Text to Speech Pro V1.0

Entegre et

Model kimliği async/tts-pro/v1.0
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/async/tts-pro/v1.0?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "transcript": "Hello from Doitong. This is a short test sentence.",
    "voice": {
      "name": "Jennie"
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,001 1 API kredisi Bu sayfada çalıştır

API anahtarı al
Async Metinden Sese Dudak senkronizasyonu #text-to-speech#voice-clone#lipsync

Ses seçimi, isteğe bağlı ses klonlama ve altı zorunlu dil seçeneğiyle metinden konuşmaya dönüştürme

Async · Ses

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Konuşma olarak sentezlenecek metin içeriği.

•gerekli

Konuşma sentezi için seçilen ses.

Gelişmiş language · output_format
language

Sentez sırasında zorunlu tutulacak dil; ISO 639-1 kullanılarak belirtilir.

Üretilen sesin yapılandırması.

POST /run/async/tts-pro/v1.0?wait=20 fiyat → $0,001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/async/tts-pro/v1.0?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "transcript": "Hello from Doitong. This is a short test sentence.",
    "voice": {
      "name": "Jennie"
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Async Text to Speech Pro V1.0 hakkında

Bir `transcript` değerini seçilen `voice` nesnesini kullanarak konuşmaya dönüştürür. İsteğe bağlı `language` parametresi sentezi English, French, Spanish, German, Italian veya Portuguese dillerinden birine zorlar. Bir `output_format` nesnesi sesi yapılandırır; sonuç ses dosyasını, MIME türünü ve bayt cinsinden boyutunu içerir. Belirli bir sesin seçildiği seslendirmeler için uygundur.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
transcriptgerekli
Türstring
Konuşma olarak sentezlenecek metin içeriği.
voicegerekli
Türobject
Konuşma sentezi için seçilen ses.
voice.nameisteğe bağlı
Türenum
VarsayılanJennie
JennieStellaMaxHayesElaraCleoFisherCorinThaddeusLucinaAcadiaHuxleyWinsletJethroElioRupert
+84 tane dahaEiraNyraArianLilyPierceKaelaElowenFreyaLennyAlessaPandoraFiaAbbottKaelOrlaSableMarnieSeraVirelLioraRivenElysDreenaRheaVelaNymeraIsoldeLirienZellaAvennaMirelleCaliaLuneaLucanTarianArloJovanNeronZivenDaxOrienLiorEryxTyrenNoxElricVarianZoranMiroDalenRonixJarekNyxieSorenVionaSeleneRachielCorbinAbigailFaithKimberlyDaveGraceAldenRenlyVioletJoelXavierEsmeraldaRobertLilaBrooksLennoxVanessaSimonNyomiJackPenelopeBraydenAbelNellieConnieAndrewLincoln
Kullanılacak adlandırılmış hazır ses. `id` sağlanırsa etkisi yoktur.
output_formatisteğe bağlı
Türobject
Üretilen sesin yapılandırması.
output_format.containeristeğe bağlı
Türenum
Varsayılanmp3
mp3raw
Üretilen sesin kapsayıcı biçimi.
output_format.encodingisteğe bağlı
Türenum
pcm_s16lepcm_f32lepcm_mulaw
Yalnızca kapsayıcı 'raw' olduğunda uygulanan PCM kodlaması.
output_format.sample_rateisteğe bağlı
Türinteger
Varsayılan44100
8.000 – 48.000
Çıktının Hz cinsinden örnekleme frekansı.
output_format.bit_rateisteğe bağlı
Türinteger | null
32.000 – 320.000
Çıktının bit hızı; yalnızca 'mp3' kapsayıcısı için geçerlidir.
languageisteğe bağlı
Türenum
enfresdeitpt
Sentez sırasında zorunlu tutulacak dil; ISO 639-1 kullanılarak belirtilir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "async/tts-pro/v1.0",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "transcript": "Hello from Doitong. This is a short test sentence.",
    "voice": {
      "name": "Jennie"
    }
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "content_type": "audio/mpeg",
    "size_bytes": 1
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
audio
object {url, content_type, file_name, file_size}
content_type
stringSes MIME türü.
size_bytes
integerBayt cinsinden ölçülen ses boyutu.

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/async/tts-pro/v1.0.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt